Loading...
Searching...
No Matches
Opm::RegionSetMatchResult::RegionIndexRange::Iterator Class Reference

Simple forward iterator over a region index range. More...

`#include <RegionSetMatcher.hpp>`

## Public Types

using | iterator_category = std::forward_iterator_tag
| Iterator's category (forward iterator).
using | value_type = int
| Iterator's value type.
using | difference_type = int
| Iterator's difference type.
using | pointer = int*
| Iterator's pointer type (return type from operator->()).
using | reference = int&
| Iterator's reference type (return type from operator*()).

## Public Member Functions

Iterator & | operator++ ()
| Pre-increment operator.
Iterator | operator++ (int)
| Post-increment operator.
reference | operator* ()
| Dereference operator.
pointer | operator-> ()
| Indirection operator.
bool | operator== (Iterator that) const
| Equality predicate.
| Iterator (int i)
| Inequality predicate.
Iterator | begin () const
| Start of Range.
Iterator | end () const
| End of Range.
bool | empty () const
| Predicate for empty index range.
std::string_view | regionSet () const
| Name of region set to which this index range is attached.

## Public Attributes

int | i_
| Index range element value.

## Friends

class | RegionSetMatchResult
class | RegionSetMatcher

## Detailed Description

Simple forward iterator over a region index range.

## Constructor & Destructor Documentation

## Iterator()

Opm::RegionSetMatchResult::RegionIndexRange::Iterator::Iterator | ( | int | i | ) |

inline explicit

Inequality predicate.

Parameters

  [in] | that | Object to which `*this` will be compared for inequality.

Returns
  ! (*this == that) */
  bool operator!=(Iterator that) const
  {
  return ! (*this == that);
  }
  friend class RegionIndexRange;
  private:

## Member Function Documentation

## operator*()

reference Opm::RegionSetMatchResult::RegionIndexRange::Iterator::operator* | ( |  | ) |

inline

Dereference operator.

Returns
  Element at current position.

## operator++() [1/2]

Iterator & Opm::RegionSetMatchResult::RegionIndexRange::Iterator::operator++ | ( |  | ) |

inline

Pre-increment operator.

Returns
  *this.

## operator++() [2/2]

Iterator Opm::RegionSetMatchResult::RegionIndexRange::Iterator::operator++ | ( | int |  | ) |

inline

Post-increment operator.

Returns
  Iterator pointing to element prior to increment result.

## operator->()

pointer Opm::RegionSetMatchResult::RegionIndexRange::Iterator::operator-> | ( |  | ) |

inline

Indirection operator.

Returns
  Pointer to element at current position.

## operator==()

bool Opm::RegionSetMatchResult::RegionIndexRange::Iterator::operator== | ( | Iterator | that | ) | const

inline

Equality predicate.

Parameters

  [in] | that | Object to which `*this` will be compared for equality.

Returns
  Whether or not `*this` equals `that`.

The documentation for this class was generated from the following file:

- opm/input/eclipse/EclipseState/Grid/RegionSetMatcher.hpp